/*
 * $Id: GdrnListenerFactory.java,v 1.2 2005/07/02 16:52:51 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.gdrn.shell;

import org.logical_paradox.console.Document;
import org.logical_paradox.console.event.KeyPressListener;
import org.logical_paradox.console.event.ListenerFactory;
import org.logical_paradox.console.event.history.HistoryKeyPressListener;

/**
 * GDRN用リスナーファクトリ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class GdrnListenerFactory implements ListenerFactory {
	/**
	 * キープレスリスナーを作成する
	 * @param d ドキュメントクラス
	 * @return 初期化されたキープレスリスナー
	 */
	public KeyPressListener getKeyPressListener(Document d) {
		try {
			return new HistoryKeyPressListener(d, new GdrnShell());
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
}
